application.hpp File Reference

A class to represent the application. More...

`#include <claw/arguments_table.hpp>`

Go to the source code of this file.

## Classes

class | claw::application
| A class to represent the application. More...

## Namespaces

namespace | claw
| This is the main namespace.

## Macros

#define | CLAW_APPLICATION_IMPLEMENT(App)
| Use this macro to implement your application's class. If you want to implement your application class named my_app, write somewhere in your code (no semi column at the end of the line) : CLAW_APPLICATION_IMPLEMENT(my_app) .

## Detailed Description

A class to represent the application.

Author
  Julien Jorge

Definition in file application.hpp.

## Macro Definition Documentation

## CLAW_APPLICATION_IMPLEMENT

#define CLAW_APPLICATION_IMPLEMENT | ( |  | App | ) |

Value:
int main(int argc, char** argv) \
{ \
App app(argc, argv); \
return app.run(); \
} \

Use this macro to implement your application's class. If you want to implement your application class named my_app, write somewhere in your code (no semi column at the end of the line) : CLAW_APPLICATION_IMPLEMENT(my_app) .

Precondition
  App must inerhit from claw::application.

Definition at line 42 of file application.hpp.